gRPC C#
gRPC C#
Namespaces
Grpc.Core
KeyCertificatePair Class
KeyCertificatePair Constructor
KeyCertificatePair Properties
KeyCertificatePair Methods

KeyCertificatePair Constructor

Creates a new certificate chain - private key pair.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public KeyCertificatePair(
    	string certificateChain,
    	string privateKey
    )

    Public Sub New (
    	certificateChain As String,
    	privateKey As String
    )

    public:
    KeyCertificatePair(
    	String^ certificateChain,
    	String^ privateKey
    )

    new :
            certificateChain : string *
            privateKey : string -> KeyCertificatePair

#### Parameters

certificateChain
  Type: System
  String
  PEM encoded certificate chain.
privateKey
  Type: System
  String
  PEM encoded private key.

See Also

#### Reference

KeyCertificatePair Class
Grpc.Core Namespace